commit:     e89623a1be476e11f28a1522afe20ec3897550b1
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Thu Nov  7 19:48:47 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec  1 20:16:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e89623a1

dev-python/pyproj: bump to 2.4.1, EAPI 7 and Python 3

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/13580
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/pyproj/Manifest            |  1 +
 dev-python/pyproj/pyproj-2.4.1.ebuild | 49 +++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/pyproj/Manifest b/dev-python/pyproj/Manifest
index a47eba325f7..02a19abffc9 100644
--- a/dev-python/pyproj/Manifest
+++ b/dev-python/pyproj/Manifest
@@ -1 +1,2 @@
 DIST pyproj-1.9.5.1.tar.gz 4424543 BLAKE2B 
cdf954ec0fe794f354b246fcd5afeac01b796f84cc2456efce3e289fcfb12074d7352c9fa7e9d74356199135dfa9814c07da9379f85771dbb7130b8b9b7ecc34
 SHA512 
b0e0f85be01a3399cb41c4bf29d1a63ecb519fd45d6092a3558060d93c715afafd12f7532c8665839225ad7243e739a117677f6747bf34a0ccbde5e75c85f324
+DIST pyproj-2.4.1.tar.gz 462332 BLAKE2B 
bd5f8f34bd1e4f928cbbba8736ede96425f1823171b1e4da0ecd6ccf9f105d4f5d4c9f953f353382412883c70803421b4d9a5175aba5cabcb689fafb19484a89
 SHA512 
c8bc987991b8136951f038f504cb6ffa5f69663b9ba447b586ab29d30e91b05661c46726132ac2cbfd756d92842606b1d5a5167b84c66878688e5ac4e5259353

diff --git a/dev-python/pyproj/pyproj-2.4.1.ebuild 
b/dev-python/pyproj/pyproj-2.4.1.ebuild
new file mode 100644
index 00000000000..0b652fa0701
--- /dev/null
+++ b/dev-python/pyproj/pyproj-2.4.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Python < 3.6 requires https://pypi.org/project/aenum/
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python interface to the PROJ library"
+HOMEPAGE="https://github.com/jswhit/pyproj";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="doc"
+
+RDEPEND=">=sci-libs/proj-6.2.0"
+DEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]"
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx )
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'sci-libs/Shapely[${PYTHON_USEDEP}]' 
python3_6)
+       )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       append-cflags -fno-strict-aliasing
+}
+
+python_test() {
+       PROJ_LIB="${EPREFIX}/usr/share/proj" pytest -ra || die
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to